Bug 57621 - [Qt] Install targets are not working correctly for modularized Qt and QtWebkit
Summary: [Qt] Install targets are not working correctly for modularized Qt and QtWebkit
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit Qt (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P3 Major
Assignee: Nobody
URL:
Keywords: Qt, QtTriaged
Depends on:
Blocks:
 
Reported: 2011-04-01 06:01 PDT by Kristian Amlie
Modified: 2011-05-10 13:31 PDT (History)
9 users (show)

See Also:


Attachments
Install-correct-header-files-for-webkit (7.01 KB, patch)
2011-04-01 06:03 PDT, Kristian Amlie
no flags Details | Formatted Diff | Diff
Same-patch-with-whitespace-changes-removed (2.78 KB, patch)
2011-04-01 06:04 PDT, Kristian Amlie
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kristian Amlie 2011-04-01 06:01:25 PDT
See attached patch for details regarding the fix.
Comment 1 Kristian Amlie 2011-04-01 06:03:12 PDT
Created attachment 87849 [details]
Install-correct-header-files-for-webkit
Comment 2 Kristian Amlie 2011-04-01 06:04:47 PDT
Created attachment 87850 [details]
Same-patch-with-whitespace-changes-removed

For easier reading, here is the same patch with all whitespace-only changes removed.
Comment 3 Benjamin Poulain 2011-04-05 05:43:30 PDT
Anyone has any idea if this is correct? My knowledge of qmake magic is limited :(
Comment 4 Kristian Amlie 2011-04-08 06:04:36 PDT
FYI, I will be away for the next two weeks, so I will not respond during that time.
Comment 5 Eric Seidel 2011-04-10 15:50:13 PDT
This seems like an easy review for a qt reviewer.  I think you meant to obsolete the first patch and mark the second one for review/cq.
Comment 6 Alexis Menard (darktears) 2011-04-11 06:53:21 PDT
Down-prioritize to P3 because the modularization project is a bit unknown state to us. We can revisit those patches after QtWebKit will find its way to Qt source tree.
Comment 7 Simon Hausmann 2011-04-29 05:03:02 PDT
Comment on attachment 87849 [details]
Install-correct-header-files-for-webkit

r=me . Holding off the cq+ per Alexis' comment.
Comment 8 Caio Marcelo de Oliveira Filho 2011-05-05 08:28:42 PDT
Why not removing the other references to QTDIR_build then?
Comment 9 WebKit Commit Bot 2011-05-05 13:14:04 PDT
Comment on attachment 87849 [details]
Install-correct-header-files-for-webkit

Clearing flags on attachment: 87849

Committed r85870: <http://trac.webkit.org/changeset/85870>
Comment 10 WebKit Commit Bot 2011-05-05 13:14:09 PDT
All reviewed patches have been landed.  Closing bug.
Comment 11 WebKit Review Bot 2011-05-05 16:06:43 PDT
http://trac.webkit.org/changeset/85870 might have broken GTK Linux 32-bit Debug
The following tests are not passing:
svg/W3C-SVG-1.1/animate-elem-46-t.svg
Comment 12 Ademar Reis 2011-05-10 13:31:22 PDT
Revision r85870 cherry-picked into qtwebkit-2.2 with commit b8f0053 <http://gitorious.org/webkit/qtwebkit/commit/b8f0053>